Page MenuHomewrite.as

Support Markdown
Closed, ResolvedPublic

Event Timeline

matt updated the task description. (Show Details)Nov 7 2015, 2:23 PM
matt added projects: Write.as Web, Restricted Project.
matt moved this task to Next Up on the Write.as Web board.
matt changed the visibility from "All Users" to "Public (No Login Required)".
matt added a subscriber: matt.
matt created this task.
matt claimed this task.
matt raised the priority of this task from to High.
matt edited projects, added API; removed Write.as Web.Nov 8 2015, 2:52 AM
matt lowered the priority of this task from High to Low.
matt moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Nov 8 2015, 3:13 AM
matt edited projects, added Write.as Web; removed API.Dec 8 2015, 6:40 AM
matt raised the priority of this task from Low to Normal.
matt added a comment.Dec 9 2015, 11:33 PM

Use something like blackfriday for rendering.

Since this means rendering text with HTML instead of <pre>, we should either add the option to enable Markdown, or only render with HTML if we auto-detect its presence.

Alternatively, we can just use basic formatting (e.g. bold, italic, images and links) and not change any spacing (this would be ideal).

matt moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Jan 11 2016, 1:24 PM
matt closed this task as Resolved.

Still needs to be tested a bit for odd edge cases and potential style improvements. But it is implemented.

matt moved this task from Next Up to Ready for Release on the Write.as Web board.Feb 4 2016, 6:36 PM